#!/bin/sh

openssl req \
	-new \
	-x509 \
	-days 365 \
	-config certs/https/templates/ca.cnf \
	-keyout certs/https/ca-key.pem \
	-out certs/https/ca-cert.pem
openssl genrsa \
	-out certs/https/server-key.pem 4096
openssl req \
	-new \
	-config certs/https/templates/server.cnf \
	-key certs/https/server-key.pem \
	-out certs/https/server-csr.pem
openssl x509 \
	-req \
	-extfile certs/https/templates/server.cnf \
	-days 365 \
	-passin "pass:password" \
	-in certs/https/server-csr.pem \
	-CA certs/https/ca-cert.pem \
	-CAkey certs/https/ca-key.pem \
	-CAcreateserial \
	-out certs/https/server-cert.pem
